Bug 1011951 - Audit --force and prompt use in lvm commands
Audit --force and prompt use in lvm commands
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
All Linux
low Severity low
: pre-dev-freeze
: ---
Assigned To: Zdenek Kabelac
: FutureFeature
Depends On:
Blocks: 1469559
  Show dependency treegraph
Reported: 2013-09-25 08:40 EDT by Alasdair Kergon
Modified: 2017-09-27 23:33 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 887240
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2013-09-25 08:40:53 EDT
+++ This bug was initially created as a clone of Bug #887240 +++

Always accept -f with all commands, including ones where they do nothing, to make scripting/testing simpler.  Consider an arg to suppress all prompts - something the external library requires.
Comment 1 Marian Csontos 2013-09-25 09:02:57 EDT
Would an environment variable be a better choice so one can use same scripts to run by hand and by automated tools?
Comment 2 Alasdair Kergon 2013-09-25 09:14:35 EDT
We could add an environment variable as well, containing a (restricted?) set of default arguments applied to all commands, but let's not further extend this bugzilla.
Comment 3 Jonathan Earl Brassow 2014-09-23 23:20:49 EDT
Audit of the 'force' option will need to wait for 6.7.

Note You need to log in before you can comment on or make changes to this bug.